<!--
@license
Copyright (c) 2016 The Polymer Project Authors. All rights reserved.
This code may only be used under the BSD style license found at http://polymer.github.io/LICENSE.txt
The complete set of authors may be found at http://polymer.github.io/AUTHORS.txt
The complete set of contributors may be found at http://polymer.github.io/CONTRIBUTORS.txt
Code distributed by Google as part of the polymer project is also
subject to an additional IP rights grant found at http://polymer.github.io/PATENTS.txt
-->
<link rel="import" href="../bower_components/polymer/polymer-element.html">
<link rel="import" href="shared-styles.html">
<!-- <link rel="import" href="main-style.html"> -->
<link rel="import" href="../bower_components/paper-button/paper-button.html">
<link rel="import" href="../bower_components/paper-styles/color.html">
<dom-module id="my-view1">
  <template>
    <style include="shared-styles">
      :host {
        display: block;
        padding: 10px;
      }

      paper-button {
        font-family: 'Roboto', 'Noto', sans-serif;
        font-weight: normal;
        font-size: 14px;
        -webkit-font-smoothing: antialiased;
      }

      paper-button.indigo {
        display: inline-block;
        height: 2.75em;
        line-height: 2.75em;
        padding: 0 1.5em;
        background-color: transparent;
        /* background-color: #ffffff; */
        border-radius: 8px;
        font-size: 14px;
        border: solid 1px #ff9999;
        color: #ff9999 !important;
        cursor: pointer;
        text-align: center;
        font-weight: bold;
        text-decoration: none;
        white-space: nowrap;
        /* --paper-button-raised-keyboard-focus: {
            background-color: white !important;
            color: #ff7496 !important;
          }; */
      }

      paper-button.indigo:hover {
        /* background-color: var(--paper-indigo-400); */
        background-color: #ff9999;
        color: white !important;
      }
    </style>



    <div class="card">
      <center>
        <h1>การทำนายอาการโรคซึมเศร้า</h1>
        <p>งานชิ้นนี้เป็นส่วนหนึ่งของวิชา เทคนิคการทำเหมืองข้อมูล (05506076) Data Mining Techniques ปีการศึกษา 1/2560</p>
        <p>เว็บแอพลิเคชั่นนี้สามารถใช้ในการทำนายอาการโรคซึมเศร้าเบื้องต้น โดยการเก็บรวบรวมข้อมูลอาการจากผู้ที่เป็นโรคซึมเศร้า
          และผู้ที่ไม่ได้เป็น</p>
        <p>นำข้อมูลดังกล่าวมาทำการแบ่งกลุ่มของบุคคลที่เป็นโรคซึมเศร้าและไม่เป็นตามอาการ ซึ่งการแบ่งกลุ่มข้อมูลจะเป็นลักษณะของ
          Unsupervised Learning </p>
        <p>ใช้ Model ในการทำนายผลแบบ Decision Tree ซึ่งจากการสร้าง Model ดังกล่าวให้ค่า Accuracy ทั้งหมด (91.77%)
          </p>
        <a href="[[rootPath]]view2">
          <paper-button raised class="indigo">เริ่มทำแบบสอบถาม</paper-button>
        </a>
        <p>(แบบสอบถามที่ในเว็บไซต์นี้ไม่มีการเก็บข้อมูลของผู้ใช้งาน) </p>
      </center>
    </div>

  </template>

  <script>
    class MyView1 extends Polymer.Element {
      static get is() { return 'my-view1'; }
    }

    window.customElements.define(MyView1.is, MyView1);
  </script>
</dom-module>
